libosmogb 1.13.1.1-afb4 Osmocom Gb library

Data Fields
osmo_fr_link Struct Reference

`#include <frame_relay.h>`

## Data Fields
struct llist_head | list
struct osmo_fr_network * | net
enum osmo_fr_role | role
const char * | name
uint8_t | last_rx_seq
uint8_t | last_tx_seq
struct osmo_timer_list | t391
struct osmo_timer_list | t392
unsigned int | polling_count
unsigned int | err_count
unsigned int | succeed
uint8_t | expected_rep
bool | state
struct llist_head | dlc_list
int(* | unknown_dlc_rx_cb )(void *cb_data, struct msgb *msg)
void * | unknown_dlc_rx_cb_data
int(* | tx_cb )(void *data, struct msgb *msg)
void(* | status_cb )(struct osmo_fr_link *link, void *cb_data, bool active)
void * | cb_data

## Field Documentation

## ◆ cb_data

void* osmo_fr_link::cb_data

Referenced by check_link_state(), gprs_ns2_fr_bind(), link_set_failed(), osmo_fr_tx_dlc(), tx_lmi_q933_status(), and tx_lmi_q933_status_enq().

## ◆ dlc_list

struct llist_head osmo_fr_link::dlc_list

Referenced by check_link_state(), fr_link_dump_vty(), link_set_failed(), osmo_fr_dlc_alloc(), osmo_fr_dlc_by_dlci(), osmo_fr_link_alloc(), osmo_fr_link_free(), parse_full_pvc_status(), rx_lmi_q933_status_enq(), and tx_lmi_q933_status().

## ◆ err_count

unsigned int osmo_fr_link::err_count

Referenced by fr_t392_cb(), and rx_lmi_q933_status_enq().

## ◆ expected_rep

uint8_t osmo_fr_link::expected_rep

Referenced by rx_lmi_q933_status(), and tx_lmi_q933_status_enq().

## ◆ last_rx_seq

uint8_t osmo_fr_link::last_rx_seq

Referenced by fr_link_dump_vty(), msgb_put_link_int_verif(), rx_lmi_q933_status(), and rx_lmi_q933_status_enq().

## ◆ last_tx_seq

uint8_t osmo_fr_link::last_tx_seq

Referenced by fr_link_dump_vty(), link_get_tx_seq(), rx_lmi_q933_status(), and rx_lmi_q933_status_enq().

## ◆ list

struct llist_head osmo_fr_link::list

Referenced by osmo_fr_link_alloc(), and osmo_fr_link_free().

## ◆ name

const char* osmo_fr_link::name

Referenced by fr_link_dump_vty(), and osmo_fr_link_alloc().

## ◆ net

struct osmo_fr_network* osmo_fr_link::net

Referenced by check_link_state(), fr_t391_cb(), fr_t392_cb(), osmo_fr_link_alloc(), rx_lmi_q933_status(), and rx_lmi_q933_status_enq().

## ◆ polling_count

unsigned int osmo_fr_link::polling_count

Referenced by check_link_state(), and fr_t391_cb().

## ◆ role

enum osmo_fr_role osmo_fr_link::role

Referenced by check_link_state(), dump_vty(), fr_link_dump_vty(), gprs_ns2_fr_bind_role(), osmo_fr_link_alloc(), rx_lmi_q933_status(), and rx_lmi_q933_status_enq().

## ◆ state

bool osmo_fr_link::state

Referenced by check_link_state(), link_set_failed(), osmo_fr_rx(), osmo_fr_tx_dlc(), and rx_lmi_q933_status_enq().

## ◆ status_cb

void(* osmo_fr_link::status_cb) (struct osmo_fr_link *link, void *cb_data, bool active)

Referenced by check_link_state(), and link_set_failed().

## ◆ succeed

unsigned int osmo_fr_link::succeed

Referenced by check_link_state().

## ◆ t391

struct osmo_timer_list osmo_fr_link::t391

Referenced by fr_t391_cb(), osmo_fr_link_alloc(), and osmo_fr_link_free().

## ◆ t392

struct osmo_timer_list osmo_fr_link::t392

Referenced by fr_t392_cb(), osmo_fr_link_alloc(), osmo_fr_link_free(), rx_lmi_q933_status(), and rx_lmi_q933_status_enq().

## ◆ tx_cb

int(* osmo_fr_link::tx_cb) (void *data, struct msgb *msg)

Referenced by gprs_ns2_fr_bind(), osmo_fr_tx_dlc(), tx_lmi_q933_status(), and tx_lmi_q933_status_enq().

## ◆ unknown_dlc_rx_cb

int(* osmo_fr_link::unknown_dlc_rx_cb) (void *cb_data, struct msgb *msg)

Referenced by osmo_fr_rx().

## ◆ unknown_dlc_rx_cb_data

void* osmo_fr_link::unknown_dlc_rx_cb_data

Referenced by osmo_fr_rx().

The documentation for this struct was generated from the following file:

- include/osmocom/gprs/frame_relay.h